/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var data = ko.observable({}),
        keywordAnalysis = ko.observable(false),
        doNotShowAgain = ko.observable(!!window.wtaiInvalidImagePopupDoNotShowAgain);

    return {
        data: data,
        keywordAnalysis: keywordAnalysis,
        doNotShowAgain: doNotShowAgain
    };
});
